#!/bin/sh
#
# author: Joerg Heinemann
# website: http://enterprise-log-management-appliance.org
# license: GPL v3
#
# /usr/share/firstboot/scripts/elma-firstboot.sh
#

echo
echo "--- yast2 firstboot /usr/share/firstboot/scripts/elma-firstboot.sh"
echo

# stop apache2
systemctl stop apache2.service
echo

# stop elasticsearch
systemctl stop elasticsearch.service
echo

# generate self-signed apache2 certificate
gensslcert
echo

# ensure elasticsearch is running
systemctl start elasticsearch.service
echo

# ensure apache2 is running
systemctl start apache2.service
echo

# ensure SuSEfirewall is running
systemctl enable SuSEfirewall2.service
systemctl restart SuSEfirewall2.service

/usr/share/elma/bin/elma-reconfigure.sh --firstboot

echo
echo "------------------------------------------------------------------"
echo
